Bug 618206 - [kvm] qemu image check returns cluster errors when using virtIO block (thinly provisioned) during e_no_space events (along with EIO errors)
Summary: [kvm] qemu image check returns cluster errors when using virtIO block (thinly...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
(Show other bugs)
Version: 5.5.z
Hardware: All All
urgent
urgent
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: ZStream
Depends On: 606651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 12:07 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:09 UTC (History)
18 users (show)

Fixed In Version: kvm-83-164.el5_5.19
Doc Type: Bug Fix
Doc Text:
Using a thinly provisioned VirtIO disk on iSCSI storage and performing a "qemu-img" check during an "e_no_space" event returned cluster errors. With this update, the errors no longer appear.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:31:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0627 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-08-19 21:31:45 UTC

Description RHEL Product and Program Management 2010-07-26 12:07:37 UTC
This bug has been copied from bug #606651 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 Miya Chen 2010-08-09 03:00:27 UTC
Test with kvm-83-164.el5_5.19 by using "qemu-img check", different kind of errors have been disdinguished, so this bug has been fixed.
# qemu-img check 16g
ERROR refcount block 8191 is outside image
Leaked cluster 16380 refcount=1 reference=0
Leaked cluster 16381 refcount=1 reference=0
Leaked cluster 16382 refcount=1 reference=0
Leaked cluster 16383 refcount=1 reference=0
Leaked cluster 16384 refcount=1 reference=0
Leaked cluster 16385 refcount=1 reference=0
Leaked cluster 16386 refcount=1 reference=0
Leaked cluster 16387 refcount=1 reference=0
Leaked cluster 180222 refcount=1 reference=0
Leaked cluster 180223 refcount=1 reference=0
Leaked cluster 180224 refcount=1 reference=0
Leaked cluster 180225 refcount=1 reference=0
Leaked cluster 180226 refcount=1 reference=0
Leaked cluster 180227 refcount=1 reference=0
Leaked cluster 180228 refcount=1 reference=0
Leaked cluster 180229 refcount=1 reference=0
Leaked cluster 245754 refcount=1 reference=0
Leaked cluster 245755 refcount=1 reference=0
Leaked cluster 245756 refcount=1 reference=0
Leaked cluster 245757 refcount=1 reference=0
Leaked cluster 245758 refcount=1 reference=0
Leaked cluster 245759 refcount=1 reference=0

1 errors were found on the image.
Data may be corrupted, or further writes to the image may corrupt it.

22 leaked clusters were found on the image.
This means waste of disk space, but no harm to data.

Comment 7 Martin Prpič 2010-08-17 11:21:24 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Using a thinly provisioned VirtIO disk on iSCSI storage and performing a "qemu-img" check during an "e_no_space" event returned cluster errors. With this update, the errors no longer appear.

Comment 8 errata-xmlrpc 2010-08-19 21:31:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0627.html


Note You need to log in before you can comment on or make changes to this bug.